Bug 139583 - "Create archive" context menu item does not support single-file bz2 or gz
"Create archive" context menu item does not support single-file bz2 or gz
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 15:14 EST by Matthew Mott
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 15:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-11-16 15:14:31 EST
Description of problem:
The "Create archive" context menu in Nautilus does not allow a
single-file bz2 or gz archive to be created. The dialog box (which
should really allow an archive type to be selected, rather than going
by the file extension alone) allows a single file (for example, an ISO
cdrom image) to be compressed to an iso.tar.gz or iso.tar.bz2, but
removing the .tar in order to create a simple iso.bz2 results in the
error "Archive not supported".

Version-Release number of selected component (if applicable):
file-roller-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. Right-click on an ISO file, choose "Create archive"
2. Edit the archive name so that it ends in .iso.gz rather than
.iso.tar.gz
3. Press Create 
  
Actual results:
"Archive not supported"

Expected results:
A single-file .iso.gz archive should be created, and some options
should be visible in the dialog to allow archive type to be selected,
rather than having the user edit an extension.

Additional info:
Comment 1 Marco Pesenti Gritti 2004-12-06 15:48:23 EST
I posted this upstream:

http://bugzilla.gnome.org/show_bug.cgi?id=160617

Note You need to log in before you can comment on or make changes to this bug.